% for_loop_script
% This script demonstrates the use of for loops in Matlab.
% It is part of the Matlab course for PhD Students 2010-2011:
% http://www.sinnesphysiologie.uni-oldenburg.de/50246.html
% written by Jutta Kretzberg, 11.12.2010

%% example 1: stupid display of counter
for t=1:5
	counter=t 		% just display the counter
end

%% example 2: sum positive values of a vector
% this example is the long version of writing
% total_sum=sum([-8 19 88 0 -18])  ;-)

pos_sum=0;			% define variables used in loop body
total_sum=0;
for v=[-8 19 88 0 -18];		% use for with a pre-defined 
% vector
	if v>0				% counter can be used in 
% conditions
		pos_sum=pos_sum+v;	% sum positive values only
	end
	total_sum=total_sum+v;	% sum all values	
end	

%% example 3: fill a vector element-by-element
v=zeros(1,50);               % pre-define a vector
for z=1:length(v)           % visit each element of the vector
	v(z)=rand(1,1)*z;       % asign a value to the current element
end

