% nested_loops_script
% This script demonstrates the use of nested loops in Matlab.
% It is part of the Matlab course for PhD Students 2010-2011:
% http://www.sinnesphysiologie.uni-oldenburg.de/50246.html
% written by Jutta Kretzberg, 11.12.2010

%% generate a matrix with random numbers
M=randn(17,25);         % generate a matrix
C=0;                    % define the counter for the elements >0.8
[rows,cols]=size(M);    % number of rows and columns

%% visit all elements of a random matrix and count the elements >0.8
for r=1:rows            % outer loop visits rows
	for c=1:cols        % within each row visit each columng         
		if M(r,c)>0.8   % count elements >0.8
			C=C+1;
        end             % end of if
    end                 % end of loop across columns
end                     % end of loop across rows

%% user output
sprintf('There were %g elements >0.8',C)  
	
