% while_loop_script
% This script demonstrates the use of while loops in Matlab.
% It is part of the Matlab course for PhD Students 2010-2011:
% http://www.sinnesphysiologie.uni-oldenburg.de/50246.html
% written by Jutta Kretzberg, 11.12.2010

%% example 1: stupid example to count with a while loop
c=1                 % define counter
while c<10          % test condition
    c=c+1           % increase counter (change test variable)
end

%% example 2: let the user guess a random integer number between 1 and 20
% and generate a vector of guesses
z=randi(20,1);      % random integer number between 1 and 20
guess=0;            % define the test variable to make sure that the 
                    % condition will initially be true
all_guesses=[];     % define a vector of guesses that will become longer
                    % during the game
while(guess~=z)     % repeat as long as the random number is not guessed  
    guess=input('Guess a number between 1 and 20; ');  % new test variable
    all_guesses=[all_guesses,guess];    % concatenate the new guess to the 
                                        % list of guesses
end
sprintf('Congratulations, you needed %g trials to guess the number!',length(all_guesses))


    
                    
